I am using Cordova CLI and have installed a basic app for android platform.

I installed the Pushwoosh plugin and added the necessary scripts and GCM ID and App IDs etc to the project.

When I compile the project I get an error that related to Java (from Googling).

I have compiled and built other projects that dont contain PW just fine so I thought it may point to the plugin.

Is PW compatible with Cordova v 4.0.0?

cordova --version 4.0.0

java version "1.8.0_25"

Java(TM) SE Runtime Environment (build 1.8.0_25-b17)

Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)

All of Android Tools are installed and the Extras from SDK.

Kind regards

Oliver

Error Msg:

BUILD FAILED /Users/odalton/Development/adt-bundle-mac-x86_64-20140702/sdk/tools/ant/build.xml:892: The following error occurred while executing this line: /Users/odalton/Development/adt-bundle-mac-x86_64-20140702/sdk/tools/ant/build.xml:894: The following error occurred while executing this line: /Users/odalton/Development/adt-bundle-mac-x86_64-20140702/sdk/tools/ant/build.xml:906: The following error occurred while executing this line: /Users/odalton/Development/adt-bundle-mac-x86_64-20140702/sdk/tools/ant/build.xml:283: null returned: 2

Total time: 2 seconds

/Applications/MAMP/htdocs/phoneapp/json/platforms/android/cordova/node_modules/q/q.js:126 throw e; ^ Error code 1 for command: ant with args: debug,-f,/Applications/MAMP/htdocs/phoneapp/json/platforms/android/build.xml,-Dout.dir=ant-build,-Dgen.absolute.dir=ant-gen Error: /Applications/MAMP/htdocs/phoneapp/json/platforms/android/cordova/build: Command failed with exit code 8 at ChildProcess.whenDone (/usr/local/lib/node_modules/cordova/node_modules/cordova-lib/src/cordova/superspawn.js:135:23) at ChildProcess.EventEmitter.emit (events.js:98:17) at maybeClose (child_process.js:735:16) at Process.ChildProcess._handle.onexit (child_process.js:802:5)

asked 12 Nov '14, 00:40
oliverdalton's gravatar image

oliverdalton
113

edited 12 Nov '14, 00:42

Do you use 3.4.0 version of the Pushwoosh plugin?

permanent link
answered 24 Nov '14, 09:35
shader's gravatar image

shader
3.9k7

Hi shader,

Thanks for the reply - yes I an using 3.4.0 I just checked that by cat'ing the plugin.xml file this is the header. <?xml version="1.0" encoding="UTF-8"?> <plugin xmlns="http://apache.org/cordova/ns/plugins/1.0" xmlns:android="http://schemas.android.com/apk/res/android" id="com.pushwoosh.plugins.pushwoosh" version="3.4.0">

<name>Pushwoosh</name>

<description>
This plugin allows you to send and receive push notifications. Powered by Pushwoosh (www.pushwoosh.com).
</description>

Is this the correct version to be using? Do I need to downgrade the version of the plugin?

Kind Regards

permanent link
answered 25 Nov '14, 03:39
oliverdalton's gravatar image

oliverdalton
113

try the following commands:
cordova plugins list

It should say the correct version of Pushwoosh plugin.

Sometimes Cordova build system get mixed up and the only way to solve this is to remove plugin completely and add it back.

permanent link
answered 25 Nov '14, 11:21
shader's gravatar image

shader
3.9k7

Hi shader,

Below is the output from the cli you suggested.

cordova plugins list

com.pushwoosh.plugins.pushwoosh 3.4.0 "Pushwoosh"

permanent link
answered 26 Nov '14, 01:15
oliverdalton's gravatar image

oliverdalton
113

edited 26 Nov '14, 01:16

What will happen if you remove the plugin completely and re-add it? Also do you build it from Console or Eclipse?

(26 Nov '14, 04:42) shader shader's gravatar image

Im having the same problem

Fetching plugin "https://github.com/Pushwoosh/pushwoosh-phonegap-3.0-plugin.git" via git clone Installing "com.pushwoosh.plugins.pushwoosh" for android

List: com.pushwoosh.plugins.pushwoosh 3.4.11 "Pushwoosh"

permanent link
answered 26 Feb '15, 00:02
Jianbo%20Cui's gravatar image

Jianbo Cui
-11

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×446
×444
×190

question asked: 12 Nov '14, 00:40

question was seen: 1,781 times

last updated: 26 Feb '15, 00:02